# Prerequisites

Before order sync can be setup, there are a set of data points that need to be configured to ensure an automated sync.

* [ ] SFTP Locations
* [ ] Shipping methods
* [ ] Payment methods
* [ ] Promo Codes
* [ ] NetSuite Facility Group

While most steps are not dependent on one another, SFTP locations must be setup first before syncing Promo Codes from NetSuite.

Include this System Property data before proceeding. Sync with NetSuite will not work if this data is not in the OMS.

```xml
<!- Data set specific to Netsuite specific configuration -->
<SystemProperty systemResourceId="FTP_CONFIG" systemPropertyId="ftp.server.archive.dir" systemPropertyValue="archive/">
<SystemProperty systemResourceId="FTP_CONFIG" systemPropertyId="instance.downloadDir" systemPropertyValue="runtime/datamanager/">
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/learn-netsuite/netsuite-deployment/prerequisite-syncs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
